XF Test Bench 3.3

Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | List of all members
StateMachine04a Class Reference
Forth Test Project

`#include <statemachine04a.h>`

Inheritance diagram for StateMachine04a:
Collaboration diagram for StateMachine04a:

## Public Member Functions
| StateMachine04a ()
| Constructor.
void | setNeighbour (XFBehavior *pNeighbour)
XFBehavior * | getNeighbour () const

## Protected Types
enum | eTimeoutId { Timeout_WAIT_id = 1 }
enum | eMainState { STATE_UNKOWN = 0 , STATE_INITIAL = 1 , STATE_WAIT = 2 , STATE_SEND_RESTART = 3 }

## Protected Member Functions
XFEventStatus | processEvent () override

## Protected Attributes
eMainState | currentState_
| Attribute indicating currently active state.
XFBehavior * | pNeighbour_
| Association to the neigbour state machine.

## Detailed Description

Implements a state machine sending its neighbour state machine an evRestart event every four seconds.

Following you will find the state machine implemented by StateMachine04a:

State Machine implemented by StateMachine04

## Member Enumeration Documentation

## ◆ eMainState

enum StateMachine04a::eMainState
| protected

Enumeration used to have a unique identifier for every state in the state machine.

Enumerator
STATE_UNKOWN | Unknown state.
STATE_INITIAL | Initial state.
STATE_WAIT | Wait state.
STATE_SEND_RESTART | State sending an restart event.

## ◆ eTimeoutId

enum StateMachine04a::eTimeoutId
| protected

Timeout identifier(s) for this state machine

Enumerator
Timeout_WAIT_id | Timeout id for WAIT.

## Member Function Documentation

## ◆ getNeighbour()

XFBehavior * StateMachine04a::getNeighbour | ( |  | ) | const

Returns reference to neighbour state machine.

## ◆ processEvent()

XFEventStatus StateMachine04a::processEvent | ( |  | ) |
| override protected

Implements state machine behavior.

## ◆ setNeighbour()

void StateMachine04a::setNeighbour | ( | XFBehavior * | pNeighbour | ) |

Sets the association to the neighbour state machine. Call this method prior the start the state machine.

The documentation for this class was generated from the following files:

- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/test-bench/test4/src/app/statemachine04a.h
- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/test-bench/test4/src/app/statemachine04a.cpp